%define name keepassc
%define version 1.8.2
%define unmangled_version 1.8.2
%define release 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: A password manager that is fully compatible to KeePass v.1.x and KeePassX
Group: Development/Libraries
License: GPLv3 or later, MIT
Url: http://raymontag.github.com/keepassc
Vendor: Karsten-Kai König, Scott Hansen <grayfox@outerhaven.de>
Source0: https://github.com/raymontag/%{name}/archive/%{unmangled_version}.tar.gz#/%{name}-%{unmangled_version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch

%if 0%{?fedora}
BuildRequires: python3
%endif
%if 0%{?rhel}
BuildRequires: python34
%endif

%if 0%{?fedora}
Requires: python3
%endif
%if 0%{?rhel}
Requires: python34
%endif

Requires: kppy
Requires: xsel

%description
KeePassC is a password manager fully compatible to KeePass v.1.x and KeePassX.
That is, your password database is fully encrypted with AES. KeePassC is
written in Python 3 and comes with a curses-interface. It is completely
controlled with the keyboard. Since v.1.6.0 network usage is implemented.

%prep
%setup -n %{name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
# 'brp-compress' gzips the man pages without distutils knowing... fix this
sed -i -e 's@man/man\([[:digit:]]\)/\(.\+\.[[:digit:]]\)$@man/man\1/\2.gz@g' INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Thu Aug 30 2018 Johan Heikkila <johan.heikkila@gmail.com>
- Updated to 1.8.2
* Sun Mar 19 2017 Johan Heikkila <johan.heikkila@gmail.com>
- Initial rpm for Fedora
